# Uses of Class
org.springframework.jndi.JndiLocatorDelegate

Packages that use JndiLocatorDelegate
Package
Description
org.springframework.jndi
The classes in this package make JNDI easier to use, facilitating the accessing of configuration stored in JNDI, and provide useful superclasses for JNDI access classes.

## Uses of JndiLocatorDelegate in org.springframework.jndi

Methods in org.springframework.jndi that return JndiLocatorDelegate
Modifier and Type
Method
Description
`static JndiLocatorDelegate`
JndiLocatorDelegate.`createDefaultResourceRefLocator()`
Configure a `JndiLocatorDelegate` with its "resourceRef" property set to `true`, meaning that all names will be prefixed with "java:comp/env/".
Constructors in org.springframework.jndi with parameters of type JndiLocatorDelegate
Modifier
Constructor
Description
``
`JndiPropertySource(String name, JndiLocatorDelegate jndiLocator)`
Create a new `JndiPropertySource` with the given name and the given `JndiLocatorDelegate`.